PrivateKeyCallback.IssuerSerialNumRequest (JASPIC 3.1 API Documentation - Apache Tomcat 11.0.24)
Description: declaration: package: jakarta.security.auth.message.callback, class: PrivateKeyCallback, class: IssuerSerialNumRequest

# Class PrivateKeyCallback.IssuerSerialNumRequest

java.lang.Object
jakarta.security.auth.message.callback.PrivateKeyCallback.IssuerSerialNumRequest

All Implemented Interfaces:
  `PrivateKeyCallback.Request`

Enclosing class:
  `PrivateKeyCallback`

public static class PrivateKeyCallback.IssuerSerialNumRequest extends Object implements PrivateKeyCallback.Request
A request to retrieve a certificate chain and private key by the issuer distinguished name and certificate serial number.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IssuerSerialNumRequest(X500Principal issuer, BigInteger serialNum)`
  Creates a new `IssuerSerialNumRequest` with the specified issuer and serial number.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `X500Principal`
  `getIssuer()`
  Returns the issuer distinguished name for this request.
  `BigInteger`
  `getSerialNum()`
  Returns the certificate serial number for this request.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IssuerSerialNumRequest

    public IssuerSerialNumRequest(X500Principal issuer, BigInteger serialNum)
    Creates a new `IssuerSerialNumRequest` with the specified issuer and serial number.
    Parameters:
      `issuer` - the issuer distinguished name of the desired certificate
      `serialNum` - the serial number of the desired certificate

- ## Method Details

  - ### getIssuer

    public X500Principal getIssuer()
    Returns the issuer distinguished name for this request.
    Returns:
      the `X500Principal` representing the issuer

  - ### getSerialNum

    public BigInteger getSerialNum()
    Returns the certificate serial number for this request.
    Returns:
      the serial number as a `BigInteger`